For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AI agentsStatus PageContact sales
HomeGuidesDeveloper ToolsChangelogsCookbooks
HomeGuidesDeveloper ToolsChangelogsCookbooks
    • Payabli developer overview
    • Developer quickstart
    • Developer testing guide
    • Test accounts
  • API
    • Using the API
    • API responses
    • API changelog
            • GETGet basic paypoint details
            • GETGet basic paypoint details by ID
            • GETGet paypoint details
            • GETGet paypoint settings
            • PUTUpload logo
            • GETList paypoints by organization
            • GETExport paypoints by organization
            • POSTMigrate paypoint
          • GETGet stats for an org or paypoint
    • Webhooks
  • Embedded Components
    • Overview
    • EmbeddedMethod UI
    • PayMethod UI
    • VirtualTerminal UI
    • ExpressCheckout UI
    • Changelog
  • Server SDKs
    • Server SDKs overview
  • Other tools
    • Postman collection
    • Payabli MCP
    • Example apps

© 2026 Centavo, Inc. All rights reserved | Centavo (DBA Payabli) is a registered Payment Facilitator of PNC Bank, N.A., Pittsburgh, PA. Payabli is a registered ISO/MSP of Merrick Bank, South Jordan, UT.

PayabliTest Cards & AccountsPay In StatusesPay Out StatusesTrust Center
LogoLogo
AI agentsStatus PageContact sales
APIPay Ops endpointsBusiness entitiesPaypoint

Migrate paypoint

|View as Markdown|Open in Claude|
POST
/Paypoint/migrate
POST
/api/Paypoint/migrate
$curl -X POST https://api-sandbox.payabli.com/api/Paypoint/migrate \
> -H "requestToken: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "entryPoint": "473abc123def",
> "newParentOrganizationId": 123,
> "notificationRequest": {
> "notificationUrl": "https://webhook-test.yoursie.com",
> "webHeaderParameters": [
> {
> "key": "testheader",
> "value": "1234567890"
> }
> ]
> }
>}'
1{
2 "isSuccess": true,
3 "responseText": "Success",
4 "responseCode": 1
5}
Migrates a paypoint to a new parent organization.
Was this page helpful?
Previous

Export paypoints by organization

Next

Get stats for an org or paypoint

Authentication

requestTokenstring
API Key authentication via header

Request

This endpoint expects an object.
entryPointstringRequired<=50 characters
The entrypoint identifier.
newParentOrganizationIdintegerRequired
The ID for the paypoint's new parent organization.
notificationRequestobjectOptional
Optional notification request object for a webhook

Response

Success
isSuccessboolean

Boolean indicating whether the operation was successful. A true value indicates success. A false value indicates failure.

responseTextstring

Response text for operation: ‘Success’ or ‘Declined’.

responseCodeinteger

Code for the response. Learn more in API Response Codes.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error